<!DOCTYPE html>
<html><head>
<title>eric7.EricXML</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.EricXML</h1>
<p>
Package implementing the XML handling module of eric.
</p>
<p>
This module includes XML handlers and writers for
<ul>
    <li>Project files</li>
    <li>User project data files</li>
    <li>Multi-project files</li>
    <li>Session files</li>
    <li>Shortcuts files</li>
    <li>Debugger Properties files</li>
    <li>Tasks files</li>
    <li>Templates files</li>
    <li>Highlighting styles</li>
    <li>Plugiin repository (handler only)</li>
</ul>
</p>



<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.EricXML.Config.html">Config</a></td>
<td>Module implementing some common configuration stuff for the XML package.</td>
</tr>
<tr>
<td><a href="eric7.EricXML.PluginRepositoryReader.html">PluginRepositoryReader</a></td>
<td>Module to read the plug-in repository contents file.</td>
</tr>
<tr>
<td><a href="eric7.EricXML.SpellCheckDictionariesReader.html">SpellCheckDictionariesReader</a></td>
<td>Module to read the web browser spell check dictionaries list file.</td>
</tr>
<tr>
<td><a href="eric7.EricXML.XMLStreamReaderBase.html">XMLStreamReaderBase</a></td>
<td>Module implementing a base class for all of eric7s XML stream writers.</td>
</tr>
</table>
</body></html>
